org.apache.commons.math3.optimization

## Interface DifferentiableMultivariateVectorOptimizer

All Superinterfaces:
  BaseMultivariateVectorOptimizer<DifferentiableMultivariateVectorFunction>, BaseOptimizer<PointVectorValuePair>

All Known Implementing Classes:
  AbstractLeastSquaresOptimizer, DifferentiableMultivariateVectorMultiStartOptimizer, GaussNewtonOptimizer, LevenbergMarquardtOptimizer

Deprecated.
As of 3.1 (to be removed in 4.0).

    @Deprecated
    public interface DifferentiableMultivariateVectorOptimizer
    extends BaseMultivariateVectorOptimizer<DifferentiableMultivariateVectorFunction>

This interface represents an optimization algorithm for `vectorial differentiable objective functions`.

Since:
  3.0
Version:
  $Id: DifferentiableMultivariateVectorOptimizer.java 1422230 2012-12-15 12:11:13Z erans $

### Method Summary

### Methods inherited from interface org.apache.commons.math3.optimization.BaseMultivariateVectorOptimizer

`optimize`

### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

`getConvergenceChecker, getEvaluations, getMaxEvaluations`